plone.app.event Fehlermeldung

  • Hallo!
    Ich bin der neue hier und versuche nicht allzu blöde Fragen zu stellen :)
    Als erstes kurz zu meinem Vorhaben:
    Ich möchte Plone im Intranet bei uns in der kleinen Firma einsetzen. Ich habe mir vorher diverse System angeschaut und bin nach einem kurzen Testdurchlauf sehr angetan von Plone. Das grobe Grundgerüst steht schon, nun kommen langsam die zeitaufwendigen Details.
    Ich habe selbst Hobby-Programmiererfahrung, nur leider noch nicht in Python (kommt aber jetzt). Schrecke daher vor eigenen Skripten zum jetzigen Zeitpunkt noch ein wenig zurück.
    Nun mein Problem/Aufgabenstellung:
    Ich möchte, dass die Geburtstage der Mitarbeiter nicht nur im Termin-Portlet sondern wenn möglich auch mit einer kleinen Meldung (als Portlet) dargestellt werden.
    Erste Hürde/Frage: Wie weise ich den membern einen Geburtstag zu ? Ich lege die User einzeln im Kontrollzentrum an, da gibt es ja kein Geburtstag-Feld. Einen Mitarbeiter-Dexterity anlegen ist dann ja auch doppelt oder?
    Alternativ wollte ich einfach einen wiederkehrenden Termin mit plone.app.event anlegen, aber ich erhalten beim starten von plone (nach der Einbidung in das buildout) folgenden Fehler:


    Ich bin wie gesagt noch ziemlich frisch in diesem Bereich und sogar bei Onkel google konnte ich dazu nichts finden (ich weiß auch nicht, wonach ich genau suchen muss...).
    Steh hier ziemlich aufn Schlauch und wäre für einen Hinweis sehr dankbar :)
    Ohne plone.app.event läuft alles Problemlos.


    Gruß
    Mendes


    System: Win 7 Pro

  • Nachtrag:
    Ich nutze Plone 4.3
    Es scheint ja anscheined ein Konflikt zwischen mehreren config-Dateien zu sein, nur seh ich leider nicht, wie ich das beheben kann... hat jemand einen kleinen Tipp? :-)


    Nachdem ich nun bei der Installation von Products.EasyNewsletter herausgefunden habe, dass es anscheinend einige Änderungen zwischen den Releases gab bzgl. der internen Bezeichnungen etc. (bei easynewsletter war das noch relativ einfach zu beheben dank http://plone.org/documentation…ting-package-dependencies) scheint es mir mit den app.event nicht so simpel zu sein :(
    Sollte ich eine ältere Plone-Version nutzen? Kann ich meine jetzigen Inhalte "Downgraden" mit einem simplen backup?
    Alles noch recht neu, aber ich versuch mich durchzukämpfen!


    Gruß
    Mendes

  • Hallo derstappenit,
    ich hab mich nicht weiter damit beschäftigen können, da es meine Fertigkeiten übersteigt ;)
    Das System läuft soweit auch ohne das plone.app.event. Ich wollte mich vielleicht in ein paar Wochen wieder dran machen um zu schauen, ob es eine neue Version gibt.
    Oder gibt es hier schon Neuigkeiten?
    Gruß
    Mendes

  • Hallo Mendes,


    hast Du die README von dem Produkt gelesen und dementsprechend die Einträge in buildout.cfg vorgenommen?


    Müsste dann so aussehen:




    [instance]


    eggs =


    plone.app.event [dexterity, ploneintegration]



    [versions]


    plone.app.portlets = 2.4.6


    z3c.unconfigure = 1.0.1




    HTH, Ida